Subject: Re: Semantics of change IDs (Re: Gerrit, GitButler, and Jujutsu projects collaborating on change-id commit footer)

From: Nico Williams <[email-masked]>
Date: Tue, 22 Apr 2025 23:45:38 -0500

On Wed, Apr 23, 2025 at 03:15:28AM +0200, Remo Senekowitsch wrote:
> You can stuff as much free-form metadata into the commit message as you
> want, because git itself doesn't care much about what's in there. The
> better analogy would be to put the names of your mom and dad in the
> "parent" header as a free-form piece of metadata about the heritage of
> the commit author. That's gonna break stuff.

The point was that lacking a change ID header people have been resorting
to conventions, and to point out that people have been using ticket IDs
as change IDs.  It's just an observation.